import request from '@/utils/request'

// 查询用户提现渠道列表
export function listUserWithdraw(query) {
  return request({
    url: '/system/userWithdraw/list',
    method: 'get',
    params: query
  })
}

// 查询用户提现渠道详细
export function getUserWithdraw(userChannelId) {
  return request({
    url: '/system/userWithdraw/' + userChannelId,
    method: 'get'
  })
}

// 新增用户提现渠道
export function addUserWithdraw(data) {
  return request({
    url: '/system/userWithdraw',
    method: 'post',
    data: data
  })
}

// 修改用户提现渠道
export function updateUserWithdraw(data) {
  return request({
    url: '/system/userWithdraw',
    method: 'put',
    data: data
  })
}

// 删除用户提现渠道
export function delUserWithdraw(userChannelId) {
  return request({
    url: '/system/userWithdraw/' + userChannelId,
    method: 'delete'
  })
}
